Description

I'm doing maintenance of rt_omero plugin: http://plugins.qgis.org/plugins/rt_omero/

and I backported  some features to 1.8 version of the plugin

code is here: https://github.com/faunalia/rt_omero/tree/master (master is the 1.8 version and 2.0 is for actual qgis)

after packaged the plugin (you can recreate the package usign "make package") I uploaded the plugin but result this errors

1) "There were errors reading plugin package (please check also your plugin's metadata).

The 'experimental' flag in the form does not match the 'experimental' flag in the plugins package metadata."

but Experimental is not set and it's False in metadata.txt

2) if I change in metadata.txt setting experimenta to True I've this error

"There were errors reading plugin package (please check also your plugin's metadata).

The 'experimental' flag in the form does not match the 'experimental' flag in the plugins package metadata."

I'm uploading 1.1.2 version (as stated in metadata.txt) but there's no 1.1.2 version

The problem could be related to this facts

A) One hour ago I uploaded a 1.3.1 version for the actual qgis version... it is experimental

p.s. choosing a category I can't fild one related to web site or web plugin management

History

#1 - 2014-04-09 07:10 AM - Jürgen Fischer

- Project changed from QGIS Application to QGIS Plugin Site

- Category deleted (Plugin Manager)

- Target version deleted (Version 2.2)

#2 - 2014-04-09 12:29 PM - Alessandro Pasotti

Please provide:

    -  the plugin package

    -  step-by-step procedure to reproduce the problem (there are three different ways to upload a plugin)

#3 - 2014-04-10 12:50 AM - Luigi Pirelli

- File rt_omero.zip added
1) attached the package

2) procedure is 

go to: http://plugins.qgis.org/plugins/rt_omero (i'm loggeg)

click on: Manage

click on: Add Version => it goes to http://plugins.qgis.org/plugins/rt_omero/version/add/

select: choose file (selecting the attached package)

leave unchecked Experimental checkbox

leave checked Approved checkbox

leave change log empty

at the end... click on save

then I receive this error:

"There were errors reading plugin package (please check also your plugin's metadata).

The 'experimental' flag in the form does not match the 'experimental' flag in the plugins package metadata."

#4 - 2014-04-10 12:53 AM - Luigi Pirelli

Alessandro Pasotti wrote:

    -  step-by-step procedure to reproduce the problem (there are three different ways to upload a plugin)

three different way? really? howto?

#5 - 2014-04-10 01:37 AM - Alessandro Pasotti

1. the large "Share a plugin" blue button

2. the "Add Version" button

3. xml-rpc plugin upload method http://plugins.qgis.org/plugins/RPC2/

#6 - 2014-04-10 02:29 AM - Alessandro Pasotti

- Status changed from Open to Closed

As the error message says, you are uploading an experimental plugin version (experimental=True in metadata.txt) but you left unchecked the Experimental

checkbox in the upload form (a checkbox is like a boolean field, checked=True, unchecked=False).

I don't understand what was not clear in the error message, suggestions welcome to make it more clear.

#7 - 2014-04-10 03:08 AM - Luigi Pirelli

ok thank you was my error in packaging... packaging script has absolute names creating packeg for the newest version (that is experimental)

sorry for the noise

#8 - 2014-04-10 03:18 AM - Luigi Pirelli

just a last note
uploaded the 1.1.2 plugin it's listed uncorrectly down the 1.1.11 => I should set 1.1.20 to restore correct ordering

#9 - 2014-04-10 04:10 AM - Alessandro Pasotti

Funny: I can't see any 1.1.2 in:

http://plugins.qgis.org/plugins/rt_omero

#10 - 2014-04-10 04:39 AM - Luigi Pirelli

I changed version from 1.1.2 to 1.1.20 to avoid this problem

Alessandro Pasotti wrote:

Funny: I can't see any 1.1.2 in:

http://plugins.qgis.org/plugins/rt_omero

Files

rt_omero.zip 2.68 MB 2014-04-09 Luigi Pirelli
